
out vec2 uv;
out vec2 uvn;


uniform vec2 pos = vec2(0);
//uniform vec2 sz = vec2(0.5);
uniform vec2 sz;
uniform float rot_amt;


void main(){
	vec2 verts[] = vec2[6](
		vec2(-1, -1.), vec2(1, -1.),
		vec2(-1, 1.),
		vec2(-1, 1.),
		vec2(1, -1.), vec2(1, 1.)
	);

	uv = verts[gl_VertexID];
	uvn = uv*0.5 + 0.5;

	vec4 _pos = vec4(pos + uv*sz*rot(rot_amt),0.0,1);

	gl_Position = _pos;
}
